跳转到主要内容
GET
/
client
/
batch
List all batches
curl --request GET \
  --url https://api.ship.uniuni.com/prod/client/batch \
  --header 'Authorization: Bearer <token>'
{
  "message": "Success",
  "code": 0,
  "data": {
    "batches": [
      {
        "batchNumber": "URB0805000000000947",
        "batchName": "final-test",
        "status": "PENDING",
        "printedLabel": true,
        "createdAt": "2025-08-05T17:31:27.157Z",
        "updatedAt": "2025-08-05T17:34:32.262Z",
        "shipmentCount": 1
      }
    ],
    "pagination": {
      "page": 1,
      "pageSize": 10,
      "count": 25
    }
  }
}

授权

Authorization
string
header
必填

API access token generated from the UniUni Platform dashboard.

查询参数

page
integer
默认值:1

Page number.

必填范围: x >= 1
pageSize
integer
默认值:10

Results per page.

必填范围: x <= 500
isNotInPickup
boolean

If true, only returns batches that are not in pickup status.

响应

200 - application/json

Paginated list of batches

message
string
必填

Additional information about the request status.

code
integer
必填

Status code. 0 indicates success.

data
object